import { member } from "../../../entity/configuration/member";
import { MemberViewModel } from "../../../viewmodel/admin/configuration/member.models";

export default abstract class MemberFactory {
  /**
   * @description map record to member
   * @param {member} record
   * @returns {MemberViewModel}
   */
  public static mapToSingle(record: member): MemberViewModel {
    return {
      id: record?.id,
      firstname: record?.firstname,
      lastname: record?.lastname,
      nameaffix: record?.nameaffix,
    };
  }

  /**
   * @description map records to member
   * @param {Array<member>} records
   * @returns {Array<MemberViewModel>}
   */
  public static mapToBase(records: Array<member>): Array<MemberViewModel> {
    return records.map((r) => this.mapToSingle(r));
  }
}
