import { MigrationInterface, QueryRunner } from "typeorm";
import {
  invite_table,
  refresh_table,
  reset_table,
  role_permission_table,
  role_table,
  user_permission_table,
  user_roles_table,
  user_table,
} from "./baseSchemaTables/admin";
import { member_table } from "./baseSchemaTables/member";

export class CreateSchema1739697068682 implements MigrationInterface {
  name = "CreateSchema1739697068682";

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.createTable(reset_table, true, true, true);
    await queryRunner.createTable(invite_table, true, true, true);
    await queryRunner.createTable(role_table, true, true, true);
    await queryRunner.createTable(role_permission_table, true, true, true);
    await queryRunner.createTable(user_table, true, true, true);
    await queryRunner.createTable(user_roles_table, true, true, true);
    await queryRunner.createTable(user_permission_table, true, true, true);
    await queryRunner.createTable(refresh_table, true, true, true);

    await queryRunner.createTable(member_table, true, true, true);
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.dropTable("member", true, true, true);

    await queryRunner.dropTable("refresh", true, true, true);
    await queryRunner.dropTable("user_permission", true, true, true);
    await queryRunner.dropTable("user_roles", true, true, true);
    await queryRunner.dropTable("user", true, true, true);
    await queryRunner.dropTable("role_permission", true, true, true);
    await queryRunner.dropTable("role", true, true, true);
    await queryRunner.dropTable("invite", true, true, true);
    await queryRunner.dropTable("reset", true, true, true);
  }
}
